Summary: FrontPage Server Extensions for Linux x86
Name: frontpage
Version: 5.0
Vendor: Cobalt Networks Inc.
Release: 2
Copyright: Microsoft 1999, 2000
Packager: Will DeHaan, Cobalt Networks Inc. 
Group: Base
Source0: fp50.linux.tar.gz

BuildRoot: /tmp/frontpage
BuildArchitectures: i386

%description
- Microsoft's FrontPage2000 Server Extensions for Red Hat linux on x86

%changelog
* Tue Feb 12 2002 Will DeHaan <null@sun.com> 5.0-2
- removed we443.cnf 

* Fri Jun 22 2001 Will DeHaan <null@sun.com>
- Upgrade to FrontPage 2002 Server Extension
- mod_frontpage suid key creation in %post
- FrontPage/5.0.2.2510

* Tue Jun 06 2000 Will DeHaan <will@cobalt.com>
- 4.0-3
- strip fpcount.exe, cuts executability in half

* Wed Apr 04 2000 Will DeHaan <will@cobalt.com>
- 4.0-2
- Added we443.cnf config file for secure form submission and SSL-enabled publishing
* Tue Aug 24 1999 Will DeHaan <will@cobaltnet.com>
- Initial rpm, frontpage

%prep
%setup -n frontpage

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/local/frontpage
cp -ar * $RPM_BUILD_ROOT/usr/local/frontpage
cd /usr/src/redhat/BUILD/frontpage

%post
if [ -e /usr/local/frontpage/currentversion ]; then
  rm /usr/local/frontpage/currentversion
fi
ln -s /usr/local/frontpage/version%{version} /usr/local/frontpage/currentversion

/bin/chown -R root.root /usr/local/frontpage/version%{version}/apache-fp
/bin/chmod 711 /usr/local/frontpage/version%{version}/apache-fp

echo "Building SUID access key for mod_frontapge %{version}"
/bin/ps ea | /usr/bin/tail -10 | /bin/sed -e 's/ //g' | /usr/bin/cut -c10-137 > /usr/local/frontpage/version%{version}/apache-fp/suidkey
chown root /usr/local/frontpage/version%{version}/apache-fp/suidkey
chmod 600 /usr/local/frontpage/version%{version}/apache-fp/suidkey


%clean
rm -rf /tmp/frontpage

%files
%defattr(-,bin,bin)
%dir /usr/local/frontpage
/usr/local/frontpage/*
